org.gradle.nativeplatform

## Interface SharedLibraryBinarySpec.TasksCollection

- All Superinterfaces:
    BinaryTasksCollection, Collection<Task>, DomainObjectCollection<Task>, DomainObjectSet<Task>, Iterable<Task>, Set<Task>
  Enclosing interface:
    SharedLibraryBinarySpec

      public static interface SharedLibraryBinarySpec.TasksCollection
      extends BinaryTasksCollection

  Provides access to key tasks used for building the binary.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Task` | `getLink()` Returns the link task for this binary.

    - ### Methods inherited from interface org.gradle.platform.base.BinaryTasksCollection

      `create, getBuild`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### getLink

          Task getLink()

      Returns the link task for this binary.